\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"

\header {
    instrument = "Flauto 2°/Piccolo"
}

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtItempi

        \new Staff \with {
        } <<
            <>^\muta \markup{"Flauto grande"}
            \mvtIflII
        >>
    >>

    \header {
        piece = \mvtIpiece
        breakbefore = ##t
    }
}

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIItempi

        \new Staff \with {
        } <<
            \mvtIIflII
            \new Voice \mvtIIpicc
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
}


breaksIII = <<
{
    \transposition c
    % \time 3/8
    \barNumberCheck # 138
    s4.*289
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*29 |
    \barNumberCheck # 673
    \pageTurn
    s2.*48 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = {
    \override TextScript.font-size = #0
    \cueDuringWithClef mvtIIIpiRH #DOWN "bass" { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuring mvtIIIpiRH #DOWN { s8. | s4. <>) | }
    \barNumberCheck # 141
    <>^\markup\center-align{(Fl.2)}
    s4.*144
    \barNumberCheck # 285
    <>^"Ob.1,Fg.1" \cueDuring mvtIIIobI #DOWN {
        s4.*7 |
    }
    <>^"1.Flute" \cueDuring mvtIIIflI #UP {
        s4.*4 |
    }
    \barNumberCheck # 296
    <>^\markup\center-align{(Fl.2)}
    s4.*131
    \barNumberCheck # 427
    % \time 2/4
    <>^"Vla.,Vlc."
    s2*8 |
    <>^"Violino II"
    s2*8 |
    <>^"Violino I"
    s2*1 |
    \barNumberCheck # 444
    <>^\markup\center-align{(Fl.2)}
    s2*29 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*6 |
    <>^"1.Flute" \cueDuring mvtIIIflI #UP {
        s4.*4 |
    }
    \barNumberCheck # 483
    s4.*4 |
    <>^\markup\center-align{(Fl.2)}
    s4.*32 |
    \barNumberCheck # 519
    <>^"1.Flute" \cueDuring mvtIIIflI #UP {
        s4.*6 |
    }
    \barNumberCheck # 525
    <>^\markup\center-align{(Picc.)}
    s4.*119 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*29 |
    \barNumberCheck # 673
    <>^"1.Flute" \cueDuring mvtIIIflI #UP {
        s2.*6 |
    }
    \barNumberCheck # 679
    <>^\markup\center-align{(Fl.2)}
    s2.*42 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIIItempi

        \new Staff \with {
        } <<
            \mvtIIIflII
            % doesn't work: transposes mvtIIIflI octave down:
            \new Voice \mvtIIIpicc
            \cuesIII
            \breaksIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        breakbefore = ##t
    }
}
