\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"


\header {
    instrument = "Corno 2° (Fa)"
}


breaksI = <<
\mvtItimeline
{
    % \time 3/4
    s2.*32 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*49 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*57 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*34 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

cuesI = <<
\mvtItimeline
{
    \override TextScript.font-size = #0
    % \time 3/4
    s2.*9 |
    \barNumberCheck # 10
    \cueDuring mvtIhrnI #DOWN { <>^"Corno 1" s2.*2 | }
    s2.*5 |
    \barNumberCheck # 17
    <>^\markup{(Cor.2)}
    s2.*16 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*20 |
    \barNumberCheck # 60
    \cueDuring mvtIhrnI #DOWN { <>^"Corno 1" s2.*2 | }
    s2.*4 |
    \barNumberCheck # 66
    <>^\markup{(Cor.2)}
    s2.*23 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    \cueDuring mvtIvlnI #UP { <>^"Violino I" s2.*4 | }
    \barNumberCheck # 100
    <>^\markup{(Cor.2)}
    s2.*31 |
    \barNumberCheck # 131
    \cueDuring mvtIvlnI #UP { <>^"Violino I" \at 2 ^\PZ s2.*4 | }
    \barNumberCheck # 135
    <>^\markup\center-align{(Cor.2)}
    s2.*18 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*17 |
    \barNumberCheck # 171
    \cueDuring mvtIhrnI #DOWN { <>^"Corno 1" s2.*2 | }
    s2.*15 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtItempi

        \new Staff \with {
        } <<
            \mvtIhrnII
            \cuesI
            \breaksI
        >>
    >>

    \header {
        piece = \mvtIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    \cueDuring mvtIIhrnI #UP {
        <>^"Corno 1" s1*5 |
        \barNumberCheck # 77
        % time 3/4
        s2. |
    }
    \barNumberCheck # 78
    <>^\markup\center-align{(Cor.2)}
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*16 ||
    \barNumberCheck # 105
    \cueDuring mvtIIobI #UP { <>^"Oboe 1" s1*9 | }
    \barNumberCheck # 114
    <>^\markup\center-align{(Cor.2)}
    s1*9 |
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIItempi

        \new Staff \with {
        } <<
            \mvtIIhrnII
            \cuesII
            \breaksII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*289
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*41 |
    \barNumberCheck # 685
    \pageTurn
    s2.*36 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuringWithClef mvtIIIpiRH #UP "bass" { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuring mvtIIIpiRH #UP { s8. | s4. <>) | }
    \barNumberCheck # 141
    <>^\markup{(Cor.2)}
    s4.*131
    \barNumberCheck # 272
    \cueDuring mvtIIIclI #DOWN { <>^"Clarinetto 1" s4.*5 | }
    s4.*5 |
    \cueDuring mvtIIIclI #UP { s4.*3 | }
    \barNumberCheck # 285
    s4.*3
    \barNumberCheck # 288
    <>^\markup\center-align{(Cor.2)}
    s4.*139
    \barNumberCheck # 427
    % \time 2/4
    s2*8 |
    \barNumberCheck # 435
    \cueDuring mvtIIIhrnI #DOWN { <>^"Corno 1" s2*8 | }
    \barNumberCheck # 443
    s2 |
    \barNumberCheck # 444
    <>^\markup\center-align{(Cor.2)}
    s2*29 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*46 |
    \barNumberCheck # 519
    \cueDuring mvtIIIflI #UP { <>^"Fl.,Cl." s4.*8 | }
    \barNumberCheck # 527
    <>^\markup{(Cor.2)}
    s4.*117 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*41 |
    \barNumberCheck # 685
    \cueDuring mvtIIIobI #UP { <>^"Oboe 1" s2.*5 | }
    \barNumberCheck # 690
    s2.*15 |
    \barNumberCheck # 705
    <>^\markup\center-align{(Cor.2)}
    s2.*16 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIIItempi

        \new Staff \with {
        } <<
            \mvtIIIhrnII
            \cuesIII
            \breaksIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}
