\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"


\header {
    instrument = "Corno 1° (Fa)"
}


breaksI = <<
\mvtItimeline
{
    % \time 3/4
    s2.*32 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*49 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    s2.*57 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*34 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

cuesI = <<
\mvtItimeline
{
    \override TextScript.font-size = #0
    % \time 3/4
    \cueDuring mvtIpiRH #UP { <>^"Pianoforte" s2.*9 | }
    <>^\markup{(Cor.1)}
    s2.*23 |
    \barNumberCheck # 33
    % \time 2/4
    s2*1 |
    \barNumberCheck # 34
    % \time 3/4
    s2.*5 |
    \barNumberCheck # 39
    % \time 4/4
    s1 |
    \barNumberCheck # 40
    % \time 3/4
    s2.*16 |
    \barNumberCheck # 56
    \cueDuring mvtIclI #UP { <>^"Clarinetto 1" s2.*4 | }
    <>^\markup{(Cor.1)}
    s2.*29 |
    \barNumberCheck # 89
    % \time 2/4
    s2*4 |
    \barNumberCheck # 93
    % \time 3/4
    s2. |
    \barNumberCheck # 94
    % \time 2/4
    s2*2 |
    \barNumberCheck # 96
    % \time 3/4
    \cueDuring mvtIvlnI #UP { <>^"Violino I" s2.*4 | }
    \barNumberCheck # 100
    <>^\markup{(Cor.1)}
    s2.*35 |
    \barNumberCheck # 135
    \cueDuring mvtIhrnII #DOWN { <>^"Corno 2" s2.*3 | }
    s2.*5 |
    \barNumberCheck # 143
    <>^\markup\center-align{(Cor.1)}
    s2.*10 |
    \barNumberCheck # 153
    % \time 2/4
    s2 |
    \barNumberCheck # 154
    % \time 3/4
    s2.*4 |
    \barNumberCheck # 158
    \cueDuring mvtIflIdown #UP { <>^"Fl.,Ob.,Clar." s2.*2 | }
    \cueDuring mvtIclI #UP { <>^"Ob.,Clar." s2.*2 | }
    s2.*3 |
    \barNumberCheck # 165
    <>^\markup\center-align{(Cor.1)}
    s2.*23 |
    \barNumberCheck # 188
    % \bar "|."
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtItempi

        \new Staff \with {
        } <<
            \mvtIhrnI
            \cuesI
            \breaksI
        >>
    >>

    \header {
        piece = \mvtIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksII = <<
\mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*23 |
    \barNumberCheck # 54
    \cueDuring mvtIIvlnI #UP { <>^\markup{Violino I} s1 | s2. }
    \cueDuringWithClef mvtIIvc #UP "bass" { <>^\markup{Violoncello} s4 |
        \barNumberCheck # 56
        % \time 3/2
        s1. |
    }
    % \time 4/4
    <>^\markup\center-align{(Cor.1)}
    s1 |
    \barNumberCheck # 58
    s1*1 |
    \barNumberCheck # 59
    \cueDuring mvtIIclI #UP {
        <>^"Clarinetto 1" s1*5 |
        \barNumberCheck # 64
        % \time 3/4
        s2.*3 |
    }
    s2. |
    \barNumberCheck # 68
    <>^\markup\center-align{(Cor.1)}
    s2.*4 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*7 |
    \barNumberCheck # 96
    \cueDuring mvtIIobI #UP { <>^"Oboe 1" s1*4 | }
    <>^\markup\center-align{(Cor.1)}
    s1*5 |
    \barNumberCheck # 105
    \cueDuring mvtIIobI #UP { <>^"Oboe 1" s1*3 | }
    <>^\markup\center-align{(Cor.1)}
    s1*15 |
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIItempi

        \new Staff \with {
        } <<
            \mvtIIhrnI
            \cuesII
            \breaksII
        >>
    >>

    \header {
        piece = \mvtIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}


breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*283
    \barNumberCheck # 421
    \pageTurn
    s4.*6
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuringWithClef mvtIIIpiRH #UP "bass" { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuring mvtIIIpiRH #UP { s8. | s4. <>) | }
    \barNumberCheck # 141
    <>^\markup\center-align{(Cor.1)}
    s4.*131
    \barNumberCheck # 272
    \cueDuring mvtIIIclI #DOWN { <>^"Clarinetto 1" s4.*5 | }
    s4.*5 |
    \cueDuring mvtIIIclI #UP { s4.*3 | }
    \barNumberCheck # 285
    s4.*2
    \barNumberCheck # 287
    <>^\markup\center-align{(Cor.1)}
    s4.*134
    \barNumberCheck # 421
    \cueDuring mvtIIIobI #UP {
        <>^"Ob.,Cl.,Fg." s4.*6 |
        \barNumberCheck # 427
        % \time 2/4
        s2*2 |
    }
    s2*6 |
    \barNumberCheck # 435
    <>^\markup\center-align{(Cor.1)}
    s2*38 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2. |
    \cueDuring mvtIIIfgI #DOWN { <>^"Fagotto 1" s2.*16 | }
    \barNumberCheck # 661
    s2. |
    \barNumberCheck # 662
    <>^\markup\center-align{(Cor.1)}
    s2.*59 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIIItempi

        \new Staff \with {
        } <<
            \mvtIIIhrnI
            \cuesIII
            \breaksIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        breakbefore = ##t
    }
    \layout {
    }
}
