\version "2.19.0"

\include "bartok-pc-3-1.ly"
\include "bartok-pc-3-2.ly"
\include "bartok-pc-3-3.ly"

\include "bartok-pc-3-paged-title.ly"


\header {
    instrument = "Trombone 2°"
}

\paper {
    ragged-last-bottom = ##f
}


\markup\Tacet{\mvtIpiece}

breaksII = <<
\mvtIItimeline
{
    % \time 4/4
    s1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    s1. |
    \barNumberCheck # 31
    % \time 4/4
    s1*25 |
    \barNumberCheck # 56
    % \time 3/2
    s1. |
    % \time 4/4
    s1 |
    \barNumberCheck # 58
    s1*6 |
    \barNumberCheck # 64
    % \time 3/4
    s2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    s1*5 |
    \barNumberCheck # 77
    % time 3/4
    s2. |
    \barNumberCheck # 78
    % \time 4/4
    s1*11 |
    \barNumberCheck # 89
    s1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    s1. |
    \barNumberCheck # 124
    % \time 4/4
    s1*6 |
    \barNumberCheck # 130
    % \time 3/2
    s1. |
    \barNumberCheck # 131
    % \time 4/4
    s1*5 |
    \barNumberCheck # 136
    % \time 3/2
    s1.*2 |
    \barNumberCheck # 138
}
>>

cuesII = <<
\mvtIItimeline
{
    \override TextScript.font-size = #0
    \transposition c
    \clef bass
    % \time 4/4
    R1*29 |
    \barNumberCheck # 30 |
    % \time 3/2
    R1. |
    \barNumberCheck # 31
    % \time 4/4
    R1*25 |
    \barNumberCheck # 56
    % \time 3/2
    R1. |
    % \time 4/4
    R1 |
    \barNumberCheck # 58
    R1*6 |
    \barNumberCheck # 64
    % \time 3/4
    R2.*8 |
    \barNumberCheck # 72
    % \time 4/4
    R1*5 |
    \barNumberCheck # 77
    % time 3/4
    R2. |
    \barNumberCheck # 78
    % \time 4/4
    R1*11 |
    \barNumberCheck # 89
    R1*34 ||
    \barNumberCheck # 123
    % \time 3/2
    R1. |
    \barNumberCheck # 124
    % \time 4/4
    R1*6 |
    \barNumberCheck # 130
    % \time 3/2
    R1. |
    \barNumberCheck # 131
    % \time 4/4
    R1*3 |
    <<
        {
            \voiceTwo
            R1*2 |
            R1.*2 |
        }
        \new Voice {
            \teeny \voiceOne \quoteDuring mvtIIvlnI {
                <>^\markup{Violino I}
                \cueClef treble
                s1 |
                s2
            }
        }
        \new Voice {
            s1 |
            \teeny \voiceTwo r4 \voiceOne \quoteDuring mvtIIvc {
                <>^\markup{Violoncello} \cueClef bass s2. |
                s1.*2 |
            }
        }
    >>
    \barNumberCheck # 138
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIItempi

        \new Staff \with {
        } <<
            \cuesII
            \breaksII
        >>
    >>

    \header {
        piece = \markup\TacetPiece{\mvtIIpiece}
        % breakbefore = ##t
    }
    \layout {
    }
}


breaksIII = <<
\mvtIIItimeline
{
    % \time 3/8
    \barNumberCheck # 138
    s4.*289
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*171 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*77 |
    \barNumberCheck # 721
    % \time 3/8
    s4.*48
    \barNumberCheck # 769
}
>>

cuesIII = <<
\mvtIIItimeline
{
    \override TextScript.font-size = #0
    % \time 3/8
    \barNumberCheck # 138
    \cueDuring mvtIIIpiRH #UP { <>^\markup{Pianoforte} s4. | s8. }
    \cueDuringWithClef mvtIIIpiRH #UP "treble" { s8. | s4. <>) | }
    \barNumberCheck # 141
    s4.*41
    \barNumberCheck # 182
    \cueDuringWithClef mvtIIIclI #DOWN "treble" {
        <>^\markup{Clar.1}
        s4.*9 <>) |
    }
    \barNumberCheck # 191
    <>^\markup{Trom.3}
    s4.*5
    \barNumberCheck # 196
    <>^\markup{(Trom.2)}
    s4.*118
    \barNumberCheck # 314
    \cueDuringWithClef mvtIIIflI #UP "treble" {
        <>^\markup{Flauto 1}
        s4.*8 |
    }
    \barNumberCheck # 322
    <>^\markup\center-align{(Trom.2)}
    s4.*105 |
    \barNumberCheck # 427
    % \time 2/4
    s2*46 |
    \barNumberCheck # 473
    % \time 3/8
    s4.*94 |
    \barNumberCheck # 567
    \cueDuringWithClef mvtIIIobI #UP "treble" {
        <>^\markup{Oboe 1}
        s4.*14 |
    }
    \barNumberCheck # 581
    s4.*8 |
    \barNumberCheck # 589
    <>^\markup\center-align{(Trom.2)}
    s4.*55 |
    \barNumberCheck # 644
    % \time 3/4
    s2.*69 |
    \transposedCueDuring mvtIIIpiccDown #UP c''' {
        <>^\markup{Fl.picc.}
        \cueClef treble s2.*7 | \cueClef bass
    }
    s2.
    \barNumberCheck # 721
    % \time 3/8
    <>^\markup\center-align{(Trom.2)}
    s4.*48
    \barNumberCheck # 769
}
>>

\score {
    \keepWithTag #'( PD_ED PARTS KEEPQUOTED ) <<
        \new MarkLine \mvtIIItempi

        \new Staff \with {
        } <<
            \mvtIIItromII
            \cuesIII
            \breaksIII
        >>
    >>

    \header {
        piece = \mvtIIIpiece
        % breakbefore = ##t
    }
    \layout {
    }
}
